// OpenCV headers.
#include "opencv2/highgui.hpp"

int main(int argc, char* argv[])
{
	// Will store the code of the keyboard key pressed to terminate the program.
	int c = 0;

	// Load an image (modify the path to the image if needed...).
	cv::Mat image = cv::imread("image.png");

	// Creation of a window entitled "Window".
	cv::namedWindow("Window");

	// Display the image in the window.
	cv::imshow("Window", image);

	// Wait for the user to press a key, and return the key code.
	// This function is also necessary to refresh the window content.
	c = cv::waitKey(0);

	// Destroy the window previously created.
	cv::destroyWindow("Window");

	// Free the memory used by the image.
	image.release();

	return 0;
}
